﻿using PdfTest.Views;
using Prism.Commands;
using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PdfTest.ViewModels
{
    public class SelectionPageViewModel : ViewModelBase
    {
        public DelegateCommand<object> SelectDocumentCommand { get; }

        public SelectionPageViewModel(INavigationService navigationService)
            : base(navigationService)
        {
            SelectDocumentCommand = new DelegateCommand<object>(async (i) => await SelectDocument(i));
        }

        public async Task SelectDocument(object obj)
        {
            var index = int.Parse(obj.ToString());
            var documents = new[]
            {
                "PdfTest.Assets.Barcode.pdf",
                "PdfTest.Assets.compressed.tracemonkey-pldi-09.pdf",
                "PdfTest.Assets.Roundup-Turbo-label.pdf"
            };

            var options = new NavigationParameters();
            options.Add("name", documents[index]);

            await NavigationService.NavigateAsync(nameof(PdfPage), options);
        }
    }
}
